@charset "UTF-8";

.modal {
    position: fixed;
    z-index: var(--z-index-overlay, 15);
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    opacity: 0;
    visibility: hidden
}

.modal:not(.modal--is-visible) {
    pointer-events: none;
    background-color: transparent
}

.modal--is-visible {
    opacity: 1;
    visibility: visible
}

.modal__close-btn {
    display: flex;
    flex-shrink: 0;
    border-radius: 50%;
    transition: .2s
}

.modal__close-btn .icon {
    display: block;
    margin: auto
}

.modal__close-btn--outer {
    --size: 48px;
    width: var(--size);
    height: var(--size);
    position: fixed;
    top: var(--space-sm);
    right: var(--space-sm);
    z-index: var(--z-index-fixed-element, 10);
    background-color: hsla(var(--color-black-h), var(--color-black-s), var(--color-black-l), 0.9);
    transition: .2s
}

.modal__close-btn--outer .icon {
    color: var(--color-white);
    transition: transform .3s var(--ease-out-back)
}

.modal__close-btn--outer:hover {
    background-color: hsla(var(--color-black-h), var(--color-black-s), var(--color-black-l), 1)
}

.modal__close-btn--outer:hover .icon {
    transform: scale(1.1)
}

.modal__close-btn--inner {
    --size: 32px;
    width: var(--size);
    height: var(--size);
    background-color: var(--color-bg-light);
    box-shadow: var(--inner-glow), var(--shadow-sm);
    transition: .2s
}

.modal__close-btn--inner .icon {
    color: inherit
}

.modal__close-btn--inner:hover {
    background-color: var(--color-bg-lighter);
    box-shadow: var(--inner-glow), var(--shadow-md)
}

:root {
    --modal-transition-duration: 0.2s
        /* fallback (i.e., unless specified differently in the variations 👇) */
}

@media(prefers-reduced-motion:no-preference) {
    .modal--animate-fade {
        --modal-transition-duration: 0.2s;
        transition: opacity var(--modal-transition-duration), background-color var(--modal-transition-duration), visibility 0s var(--modal-transition-duration)
    }

    .modal--animate-fade.modal--is-visible {
        transition: opacity var(--modal-transition-duration), background-color var(--modal-transition-duration), visibility 0s
    }

    .modal--animate-scale,
    .modal--animate-translate-up,
    .modal--animate-translate-down,
    .modal--animate-translate-right,
    .modal--animate-translate-left {
        --modal-transition-duration: 0.2s;
        transition: opacity var(--modal-transition-duration), background-color var(--modal-transition-duration), visibility 0s var(--modal-transition-duration)
    }

    .modal--animate-scale .modal__content,
    .modal--animate-translate-up .modal__content,
    .modal--animate-translate-down .modal__content,
    .modal--animate-translate-right .modal__content,
    .modal--animate-translate-left .modal__content {
        will-change: transform;
        transition: transform var(--modal-transition-duration) var(--ease-out)
    }

    .modal--animate-scale.modal--is-visible,
    .modal--animate-translate-up.modal--is-visible,
    .modal--animate-translate-down.modal--is-visible,
    .modal--animate-translate-right.modal--is-visible,
    .modal--animate-translate-left.modal--is-visible {
        transition: opacity var(--modal-transition-duration), background-color var(--modal-transition-duration), visibility 0s
    }

    .modal--animate-scale.modal--is-visible .modal__content,
    .modal--animate-translate-up.modal--is-visible .modal__content,
    .modal--animate-translate-down.modal--is-visible .modal__content,
    .modal--animate-translate-right.modal--is-visible .modal__content,
    .modal--animate-translate-left.modal--is-visible .modal__content {
        transform: scale(1)
    }

    .modal--animate-slide-up,
    .modal--animate-slide-down,
    .modal--animate-slide-right,
    .modal--animate-slide-left {
        --modal-transition-duration: 0.3s;
        transition: opacity 0s var(--modal-transition-duration), background-color var(--modal-transition-duration), visibility 0s var(--modal-transition-duration)
    }

    .modal--animate-slide-up .modal__content,
    .modal--animate-slide-down .modal__content,
    .modal--animate-slide-right .modal__content,
    .modal--animate-slide-left .modal__content {
        will-change: transform;
        transition: transform var(--modal-transition-duration) var(--ease-out)
    }

    .modal--animate-slide-up.modal--is-visible,
    .modal--animate-slide-down.modal--is-visible,
    .modal--animate-slide-right.modal--is-visible,
    .modal--animate-slide-left.modal--is-visible {
        transition: background-color var(--modal-transition-duration), visibility 0s
    }

    .modal--animate-slide-up.modal--is-visible .modal__content,
    .modal--animate-slide-down.modal--is-visible .modal__content,
    .modal--animate-slide-right.modal--is-visible .modal__content,
    .modal--animate-slide-left.modal--is-visible .modal__content {
        transform: scale(1)
    }

    .modal--animate-scale .modal__content {
        transform: scale(.95)
    }

    .modal--animate-translate-up .modal__content {
        transform: translateY(40px)
    }

    .modal--animate-translate-down .modal__content {
        transform: translateY(-40px)
    }

    .modal--animate-translate-right .modal__content {
        transform: translateX(-40px)
    }

    .modal--animate-translate-left .modal__content {
        transform: translateX(40px)
    }

    .modal--animate-slide-up .modal__content {
        transform: translateY(100%)
    }

    .modal--animate-slide-down .modal__content {
        transform: translateY(-100%)
    }

    .modal--animate-slide-right .modal__content {
        transform: translateX(-100%)
    }

    .modal--animate-slide-left .modal__content {
        transform: translateX(100%)
    }
}

.modal--is-loading .modal__content {
    visibility: hidden
}

.modal--is-loading .modal__loader {
    display: flex
}

.modal__loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    display: none;
    pointer-events: none
}

.modal-img-btn {
    position: relative;
    cursor: pointer
}

.modal-img-btn::after {
    content: "";
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: hsla(var(--color-black-h), var(--color-black-s), var(--color-black-l), 0);
    transition: background .2s
}

.modal-img-btn:hover::after {
    background-color: hsla(var(--color-black-h), var(--color-black-s), var(--color-black-l), 0.7)
}

.modal-img-btn:hover .modal-img-btn__icon-wrapper {
    opacity: 1
}

.modal-img-btn__icon-wrapper {
    position: absolute;
    z-index: 2;
    top: calc(50% - 24px);
    left: calc(50% - 24px);
    width: 48px;
    height: 48px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: hsla(var(--color-black-h), var(--color-black-s), var(--color-black-l), 0.7);
    opacity: 0;
    transition: opacity .2s
}

.modal-img-btn__icon-wrapper .icon {
    color: var(--color-white)
}

.hero-video-bg__video {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    overflow: hidden;
    z-index: 1
}

.hero-video-bg__video video {
    position: relative;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    min-height: 100%;
    min-width: 100%;
    height: auto;
    width: auto;
    max-width: none
}

@supports(-o-object-fit:cover) or (object-fit:cover) {
    .hero-video-bg__video video {
        -o-object-fit: cover;
        object-fit: cover;
        height: 100%;
        width: 100%
    }
}

@supports((-o-object-fit:cover) or (object-fit:cover)) and (-ms-ime-align:auto) {
    .hero-video-bg__video video {
        height: auto;
        width: auto
    }
}

.hero-video-bg__video img {
    display: none
}

@media(prefers-reduced-motion:reduce) {
    .hero-video-bg__video video {
        visibility: hidden
    }

    .hero-video-bg__video img {
        display: block;
        position: absolute;
        -o-object-fit: cover;
        object-fit: cover;
        height: 100%;
        width: 100%
    }
}

.hero-video-bg__play-btn {
    --btn-size: 80px;
    width: var(--btn-size);
    height: var(--btn-size);
    display: inline-flex;
    background-color: hsla(var(--color-contrast-higher-h), var(--color-contrast-higher-s), var(--color-contrast-higher-l), 0.85);
    border-radius: 50%;
    cursor: pointer;
    transition: background-color .3s
}

.hero-video-bg__play-btn .icon {
    display: block;
    margin: auto;
    color: var(--color-bg);
    font-size: 32px;
    transition: transform .3s var(--ease-out-back)
}

.hero-video-bg__play-btn:hover {
    background-color: hsla(var(--color-contrast-higher-h), var(--color-contrast-higher-s), var(--color-contrast-higher-l), 1)
}

.hero-video-bg__play-btn:hover .icon {
    transform: scale(1.2)
}